<template>
  <v-card>
    <v-toolbar dark color="secondary">
      <v-btn icon dark @click.native="close">
          <v-icon>mdi-close</v-icon>
      </v-btn>
      <v-toolbar-title>Register</v-toolbar-title>
    </v-toolbar>
  <v-divider></v-divider>
  <v-container fluid>
      <v-form ref="form" >
        <v-text-field
          v-model="username"
          label="Username"
          required
          append-icon="mdi-text-account"
        ></v-text-field>
        <v-text-field
          v-model="name"
          label="Full Name"
          required
          append-icon="mdi-rename-box"
        ></v-text-field>
        <v-text-field
          v-model="email"
          label="E-mail"
          required
          append-icon="mdi-email"
        ></v-text-field>

        <div class="text-xs-center">
        <v-btn
          color="primary lighten-1"
          @click="submit"
        >
          Register
          <v-icon right dark>mdi-account-check</v-icon>
        </v-btn>

        </div>
      </v-form>
    </v-container>


   
  </v-card>
</template>

<script>
import {  mapActions } from 'vuex'

export default {
    
  data () {
    return {
      username : '',
      name : '',
      email: '',
      apiDomain: "http://127.0.0.1:8000",

     
    }
  },
  methods : {
    ...mapActions({
      setAlert  : 'alert/set',
      setDialogComponent : 'dialog/setComponent',
    }),

    close() {
        this.$emit('closed', false)
    },

    submit() {
      const config = { 
        method: "post", 
        url: this.apiDomain + "/api/auth/register",
        data : {
          'username' : this.username,
          'name' : this.name,
          'email' : this.email,

        }
      };

      this.axios(config)
            .then( () => {
                      
              this.setAlert({
                    status : true,
                    color  : 'success',
                    text  : 'Registrasi dalam proses, silakan cek email',
                })
                this.close()
                this.setDialogComponent({'component' : 'verification'})
              
            })
            .catch( (response) => {
              console.log(response)

                this.setAlert({
                    status : true,
                    color  : 'error',
                    text  : 'Registrasi Gagal',
                })
            })




    }
    
  },
}
</script>